#1 Connection list info wrong/missing

v1.0_(example)
closed-fixed
Ron Dorn
5
2006-01-17
2006-01-11
ShagMasterFlex
No

OpenVPN-Control 1.01
Windows XP SP2
OpenVPN 2.0.5 server running on Debian Linux

Connecting to management interface over SSH.
Connection info shows one connection, but the Server,
User Name, Assigned IP, and Last Active columns are all
empty. The Source IP shows what is actually the
Assigned IP, Transferred is always 0.00MB, and Start
Time is always the time of the last refresh.

When I ssh to the OpenVPN server and telnet into the
management interface, I can do a status to get the
following (IP Address replaced):

status
TITLE,OpenVPN 2.0.5 i486-pc-linux-gnu [SSL] [LZO]
[EPOLL] built on Nov 7 2005
TIME,Wed Jan 11 11:28:35 2006,1136996915
HEADER,CLIENT_LIST,Common Name,Real Address,Virtual
Address,Bytes Received,Bytes Sent,Connected
Since,Connected Since (time_t)
CLIENT_LIST,mogrady,11.22.33.44:1770,10.7.1.14,8104,12015,Wed
Jan 11 11:27:37 2006,1136996857
HEADER,ROUTING_TABLE,Virtual Address,Common Name,Real
Address,Last Ref,Last Ref (time_t)
ROUTING_TABLE,10.7.1.14,mogrady,11.22.33.44:1770,Wed
Jan 11 11:28:21 2006,1136996901
GLOBAL_STATS,Max bcast/mcast queue length,0
END

Discussion

  • Ron Dorn
    Ron Dorn
    2006-01-15

    Logged In: YES
    user_id=603116

    Issue may be resolved in 1.02.

     
  • Ron Dorn
    Ron Dorn
    2006-01-15

    • assigned_to: nobody --> rondorn
     
  • Ron Dorn
    Ron Dorn
    2006-01-17

    Logged In: YES
    user_id=603116

    Found issue where status command would not return the
    expected format. Made change in 1.02 to define format when
    running command to fix issue. Now executing 'status 1' at
    managment interface instead of just status.

     
  • Ron Dorn
    Ron Dorn
    2006-01-17

    • status: open --> closed
     
  • Ron Dorn
    Ron Dorn
    2006-01-17

    • status: closed --> closed-fixed